* {
    box-sizing: border-box;
}
body {
    margin: 0;
    background: #F3E9E1;
    font-family: "Pixelify Sans", sans-serif;
    user-select: none;
    background-image: url("a7d369b7c8b4ecc0f0ffe790f233cbe58b7154c0.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
}
html {
    scroll-behavior: smooth;
}
.scroll-top {
    position: fixed;
    top: 50px;
    left: 50%;
    transform: translateX(-50%);
    width: 60px;
    height: 60px;
    background-color: #84b851;
    color: #F3E9E1;
    font-size: 36px;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 30%;
    z-index: 999;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.5s ease, transform 0.5s ease;
}
.scroll-top.show {
    opacity: 1;
    pointer-events: auto;
    transform: translate(-50%, 0);
}
.wrapper {
    max-width: 900px;
    margin: auto;
    padding: 10px;
}
.browser {
    background: #4f55b4;
    border-radius: 15px;
    padding: 10px;
}
.tabs {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 15px;
    justify-content: center;
    border: 6px solid #4f55b4;
}
.tabs a {
    text-decoration: none;
}
.tab {
    background: #ce6a78;
    padding: 5px 12px;
    border-radius: 10px;
    font-size: 18px;
    color: #F3E9E1;
    transition: all 0.3s ease;
}
.tab:hover {
    transform: translateY(-2px);
    cursor: pointer;
}
.tab.active {
    background: #84b851;
    font-weight: 700;
}
.bar {
    display: flex;
    gap: 10px;
    margin-top: 8px;
    align-items: center;
}
.nav i {
    color: #F3E9E1;
    margin-left: auto;
    padding: 3px 5px;
    font-size: 18px;
}
.url {
    min-width: 0;
    flex: 1;
    background: #F3E9E1;
    padding: 5px;
    border-radius: 10px;
    font-size: 16px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.lang {
    display: flex;
    gap: 6px;
}
.lang-btn {
    background: #F3E9E1;
    border: none;
    padding: 5px 12px;
    border-radius: 10px;
    font-size: 16px;
    cursor: pointer;
    font-family: "Pixelify Sans", sans-serif;
}
.lang-btn:hover {
    background: #e0d4c9;
    transform: translateY(-2px);
    transition: all 0.3s ease;
}
.lang-btn.active {
    background: #84b851;
    color: #F3E9E1;
    font-weight: 700;
}
.card {
    background: #d8cfca;
    border-radius: 30px;
    padding: 20px;
    margin-top: 15px;
    position: relative;
}
.profile {
    min-width: 0;
    display: grid;
    grid-template-columns: minmax(150px, 250px) 1fr minmax(150px, 200px);
    gap: 20px;
    align-items: center;
    border-top: 40px solid #4f55b4;
    border-right: 6px solid #4f55b4;
    border-bottom: 6px solid #4f55b4;
    border-left: 6px solid #4f55b4;
}
.profile::before {
    content: "🧙‍♂️ PROFILE.exe";
    position: absolute;
    top: -37px;
    left: 10px;
    background: #4f55b4;
    color: #F3E9E1;
    padding: 6px 14px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    font-size: 14px;
}
.avatar {
    cursor: pointer;
    transition: transform 0.2s ease;
    width: 100%;
    max-width: 250px;
    height: auto;
    border-radius: 50px;
    border: 15px solid #F3E9E1;
    display: block;
}
.avatar:hover {
    transform: scale(1.03);
}
.name {
    background: #84b851;
    padding: 10px;
    border-radius: 12px;
    color: #F3E9E1;
    font-size: 24px;
    display: flex;
    justify-content: center;
}
.subtitle {
    background: #F3E9E1;
    padding: 6px;
    border-radius: 10px;
    margin-top: 10px;
    font-size: 14px;
}
.about-title {
    display: inline-block;
    margin-top: 15px;
    background: #84b851;
    padding: 5px 12px;
    border-radius: 10px;
    color: #F3E9E1;
    font-size: 18px;
}
.about {
    background: #F3E9E1;
    padding: 10px;
    border-radius: 12px;
    margin-top: 5px;
    font-size: 14px;
}
.icons {
    display: flex;
    gap: 10px;
    margin-top: 10px;
    font-size: 30px;
}
.icons div {
    flex: 1;
    padding: 10px;
    border-radius: 10px;
    text-align: center;
}
.icons a {
    flex: 1;
    background: #F3E9E1;
    padding: 10px;
    border-radius: 10px;
    text-align: center;
    color: #4f55b4;
    transition: all 0.3s ease;
}
.icons a:hover {
    transform: translateY(-2px);
    cursor: pointer;
    color: #84b851;
}
.music {
    border-radius: 30px;
    border: 12px solid #F3E9E1;
    padding: 15px;
    background: #ce6a78;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    text-align: center;
}
.cover {
    width: 120px;
    height: 120px;
    object-fit: cover;
    border-radius: 20px;
    border: 4px solid #F3E9E1;
}
.track-name {
    font-size: 16px;
    color: #F3E9E1;
}
.artist {
    font-size: 14px;
    opacity: 0.8;
    color: #F3E9E1;
}
.yt-btn {
    padding: 8px 14px;
    background: #84b851;
    color: #F3E9E1;
    text-decoration: none;
    border-radius: 12px;
    transition: 0.3s;
}
.yt-btn:hover {
    transform: scale(1.05);
    background: #CD201F;
}
.vr {
    border-top: 40px solid #4f55b4;
    border-right: 6px solid #4f55b4;
    border-bottom: 6px solid #4f55b4;
    border-left: 6px solid #4f55b4;
}
.vr::before {
    content: "🥽 VR_Exhibition.exe";
    position: absolute;
    top: -37px;
    left: 10px;
    background: #4f55b4;
    color: #F3E9E1;
    padding: 6px 14px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    font-size: 14px;
}
.vr .inner {
    height: 300px;
    background-image: url(1main/vr.png);
    background-size: cover;
    background-position: center;
    border-radius: 20px;
    font-size: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #4f55b4;
}
.vr-btn {
    padding: 12px 20px;
    border: none;
    border-radius: 12px;
    font-family: "Pixelify Sans", sans-serif;
    background: #4f55b4;
    color: #F3E9E1;
    font-size: 32px;
    cursor: pointer;
    transition: 0.2s;
    text-decoration: none;
}
.vr-btn:hover {
    transform: scale(1.05);
    background: #4f55b4;
}
.gif {
    border-top: 40px solid #4f55b4;
    border-right: 6px solid #4f55b4;
    border-bottom: 6px solid #4f55b4;
    border-left: 6px solid #4f55b4;
}
.gif::before {
    content: "🦄 GIF series.exe";
    position: absolute;
    top: -37px;
    left: 10px;
    background: #4f55b4;
    color: #F3E9E1;
    padding: 6px 14px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    font-size: 14px;
}
.gif .inner {
    height: 300px;
    background: #F3E9E1;
    border-radius: 20px;
    font-size: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #4f55b4;
    background-image:
    linear-gradient(rgba(79, 85, 180, 0.15) 1px, transparent 1px),
    linear-gradient(90deg, rgba(79, 85, 180, 0.15) 1px, transparent 1px);
    background-size: 28px 28px;
}
.glitch {
    border-top: 40px solid #4f55b4;
    border-right: 6px solid #4f55b4;
    border-bottom: 6px solid #4f55b4;
    border-left: 6px solid #4f55b4;
}
.glitch::before {
    content: "🫧 Glitch art.exe";
    position: absolute;
    top: -37px;
    left: 10px;
    background: #4f55b4;
    color: #F3E9E1;
    padding: 6px 14px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    font-size: 14px;
}
.glitch .inner {
    background: #F3E9E1;
    border-radius: 20px;
    font-size: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #4f55b4;
    background-image:
    linear-gradient(rgba(79, 85, 180, 0.15) 1px, transparent 1px),
    linear-gradient(90deg, rgba(79, 85, 180, 0.15) 1px, transparent 1px);
    background-size: 28px 28px;
}
.gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    padding: 40px;
}
.photo {
    width: 100%;
    aspect-ratio: 1 / 1;
    border-radius: 20px;
    border-top: 8px solid #4f55b4;
    border-right: 8px solid #4f55b4;
    border-bottom: 8px solid #4f55b4;
    border-left: 8px solid #4f55b4;
    background-color: #4f55b4;
    transition: transform 0.3s ease;
}
.photo img {
    width: 100%;
    height: 100%;
    display: block;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px ;
    object-fit: cover;
    display: block;
    border-radius: 15px;
}
.photo:hover {
    transform: translateY(-5px) scale(1.02);
}
.cat {
    border-top: 40px solid #4f55b4;
    border-right: 6px solid #4f55b4;
    border-bottom: 6px solid #4f55b4;
    border-left: 6px solid #4f55b4;
}
.cat::before {
    content: "🐈 CAT_Hunter.exe";
    position: absolute;
    top: -37px;
    left: 10px;
    background: #4f55b4;
    color: #F3E9E1;
    padding: 6px 14px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    font-size: 14px;
}
.glitch .gallery {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    padding: 40px;
    aspect-ratio: 1 / 1;
}
.cat .inner {
    height: 200px;
    background-image: url(1main/cats.png);
    border-radius: 20px;
    font-size: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #F3E9E1;
    background-size: cover;
}
.caption {
    margin-bottom: 8px;
    margin-top: 12px;
    font-size: 24px;
    color: #F3E9E1;
    text-align: center;
}
footer {
    text-align: center;
    margin-top: 15px;
    background: #84b851;
    padding: 10px;
    border-radius: 20px;
    font-size: 12px;
}
@media (max-width: 800px) {
    .caption {
        font-size: 20px;
        text-align: center;
    }
    .profile {
        grid-template-columns: 1fr;
    }
    .avatar {
        margin: auto;
    }
    .music {
        border-radius: 30px;
        border: 15px solid #F3E9E1;
        padding: 15px;
        gap: 10px;
    }
    .cover {
        width: 220px;
        height: 220px;
        object-fit: cover;
        border: 8px solid #F3E9E1;
    }
    .track-name {
        font-size: 24px;
    }
    .artist {
        font-size: 20px;
        opacity: 0.8;
    }
    .yt-btn {
        width: 120px;
        height: 40px;
        font-size: 20px;
    }
    .cat .inner {
        font-size: 50px;
    }
    .gif .inner {
        height: auto;
        display: block;
    }
    .gif .gallery {
        grid-template-columns: 1fr;
        padding: 20px;  
    }
    .gif .photo {
        margin-bottom: 30px;
        margin-top: 30px;
    }
}